Extending Qt Creator Manual | ListIterator

Extending Qt Creator Manual 4.5.2

# ListIterator Class

(Core::BaseFileFilter::ListIterator)

- List of all members, including inherited members

## Public Functions

| ListIterator(const QStringList &filePaths)
| ListIterator(const QStringList &filePaths, const QStringList &fileNames)
QString | fileName() const
QString | filePath() const
bool | hasNext() const
QString | next()
void | toFront()

## Member Function Documentation

### ListIterator::ListIterator(const QStringList &filePaths)

Default constructs an instance of ListIterator.

### ListIterator::ListIterator(const QStringList &filePaths, const QStringList &fileNames)

Default constructs an instance of ListIterator.

### QString ListIterator::fileName() const

### QString ListIterator::filePath() const

### bool ListIterator::hasNext() const

### QString ListIterator::next()

### void ListIterator::toFront()